#!/bin/sh
echo Content-type: text/html
echo ""
echo "<head><title>Template</title></head>"
echo "<body>"

. /dtv/SGO.env
SELF=Template.cgi

CMD=$(echo "$QUERY_STRING" | sed -n 's/^.*cmd=\([^&]*\).*$/\1/p' | sed "s/%20/ /g")
OPTION=$(echo "$QUERY_STRING" | sed -n 's/^.*option=\([^&]*\).*$/\1/p' | sed "s/%20/ /g")
FOLDER=$(echo "$QUERY_STRING" | sed -n 's/^.*folder=\([^&]*\).*$/\1/p' | sed "s/%20/ /g"| sed "s/%2F/\//g")

# test if any parameters were passed
if [ $CMD ]
then
  case "$CMD" in
    iperf)
      echo "Output of ifconfig :<pre>"
	[ -n $OPTION ] && /sbin/iperf -h
	[ -z $OPTION ] && /sbin/iperf $OPTION
      echo "</pre>"
      ;;
    uname)
      echo "Output of uname -a :<pre>"
      /bin/uname -a
      echo "</pre>"
      ;;

    dmesg)
      echo "Output of dmesg :<pre>"
      /bin/dmesg
      echo "</pre>"
      ;;

    ls)
      echo "Output of ls $FOLDER :<pre>"
      /bin/ls "$FOLDER"
      echo "</pre>"
      ;;

    *)
      echo "Unknown command $CMD<br>"
      ;;
  esac
fi

# print out the form
echo "Choose which command you want to run"
echo "<form method=get>"
echo "<input type=radio name=cmd value=ifconfig checked> ifconfig <br>"
echo "<input type=radio name=cmd value=uname> uname -a <br>"
echo "<input type=radio name=cmd value=dmesg> dmesg <br>"
echo "<input type=radio name=cmd value=ls> ls  -- folder <input type=text name=folder value=/mnt/flash><br>"
echo "<input type=radio name=cmd value=iperf> iperf  -- folder <input type=text name=option value="-c server"><br>"
echo "<input type=submit>"
echo "</form>"
echo "</body>"
echo "</html>"
